Bug 168579 - www/suphp: unbroke with clang/gcc47+
www/suphp: unbroke with clang/gcc47+
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: yzlin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 17:10 UTC by Dima Panov
Modified: 2012-06-20 02:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.23 KB, patch)
2012-06-02 17:10 UTC, Dima Panov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dima Panov freebsd_committer 2012-06-02 17:10:14 UTC
	www/suphp: unbroke with clang/gcc47+ by use restrictive C++ construction
	
	patch obtained from PkgSrc repo
Comment 1 Edwin Groothuis freebsd_committer 2012-06-03 12:18:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->yzlin

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2012-06-20 02:30:51 UTC
fluffy      2012-06-20 01:30:36 UTC

  FreeBSD ports repository

  Modified files:
    www/suphp            Makefile 
  Added files:
    www/suphp/files      patch-src_SmartPtr.hpp 
  Log:
  - Unbroke with clang/gcc47+ by use restrictive C++ construction
  - Declare that code use gnu89 style
  - No PORTREVISION bump, users with base gcc not affected
  
  PR:             168579
  Submitted by:   myself
  Approved by:    maintainer timeout (> 2 weeks)
  Obtained from:  PkgSrc repo
  
  Revision  Changes    Path
  1.44      +1 -0      ports/www/suphp/Makefile
  1.1       +15 -0     ports/www/suphp/files/patch-src_SmartPtr.hpp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Dima Panov freebsd_committer 2012-06-20 02:31:20 UTC
State Changed
From-To: open->closed

Committed. Thanks!